Package org.apache.wiki.parser

# Class CreoleToJSPWikiTranslator

java.lang.Object
org.apache.wiki.parser.CreoleToJSPWikiTranslator

public class CreoleToJSPWikiTranslator extends Object

Translates Creole markp to JSPWiki markup. Simple translator uses regular expressions. See http://www.wikicreole.org for the WikiCreole spec.

This translator can be configured through properties defined in jspwiki.properties starting with "creole.*". See the jspwiki.properties file for an explanation of the properties

WARNING: This is an experimental feature, and known to be broken. Use at your own risk.</o>

See Also:
  - Wiki Creole Spec

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`VAR_CREOLE_VERSION`
The version of Creole that this filter supports.
`static final String`
`VAR_LINEBREAK_BLOGLIKE`
The linebreak style "bloglike".
`static final String`
`VAR_LINEBREAK_C2LIKE`
The linebreak style "c2like".
`static final String`
`VAR_VERSION`
The version of the filter.

## Constructor Summary

Constructors
Constructor
Description
`CreoleToJSPWikiTranslator()`

## Method Summary

Modifier and Type
Method
Description
`String`
`translate(Properties wikiProps, String content)`
Translates Creole markup to JSPWiki markup
`String`
`translateSignature(Properties wikiProps, String content, String username)`
I have no idea what this method does.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### VAR_VERSION

public static final String VAR_VERSION
The version of the filter.

See Also:
  - Constant Field Values

### VAR_CREOLE_VERSION

public static final String VAR_CREOLE_VERSION
The version of Creole that this filter supports.

See Also:
  - Constant Field Values

### VAR_LINEBREAK_BLOGLIKE

public static final String VAR_LINEBREAK_BLOGLIKE
The linebreak style "bloglike".

See Also:
  - Constant Field Values

### VAR_LINEBREAK_C2LIKE

public static final String VAR_LINEBREAK_C2LIKE
The linebreak style "c2like".

See Also:
  - Constant Field Values

## Constructor Details

### CreoleToJSPWikiTranslator

public CreoleToJSPWikiTranslator()

## Method Details

### translateSignature

public String translateSignature(Properties wikiProps, String content, String username)
I have no idea what this method does. Could someone please tell me?

Parameters:
  `wikiProps` - A property set
  `content` - The content to translate?
  `username` - The username in the signature?
Returns:
  Probably some translated content.

### translate

public String translate(Properties wikiProps, String content)
Translates Creole markup to JSPWiki markup

Parameters:
  `wikiProps` - A set of Wiki Properties
  `content` - Creole markup
Returns:
  Wiki markup